Package com.independentsoft.office.charts

# Class OfPieChart

java.lang.Object
com.independentsoft.office.charts.Chart
com.independentsoft.office.charts.OfPieChart

public class OfPieChart extends Chart
The Class OfPieChart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OfPieChart()`
  Instantiates a new of pie chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OfPieChart`
  `clone()`
  `List<SecondPiePoint>`
  `getCustomSplit()`
  Gets the custom split.
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `int`
  `getGapWidth()`
  Gets the gap width.
  `int`
  `getSecondPieSize()`
  Gets the second pie size.
  `List<PieChartSerie>`
  `getSeries()`
  Gets the series.
  `SeriesLines`
  `getSeriesLines()`
  Gets the series lines.
  `double`
  `getSplitPosition()`
  Gets the split position.
  `SplitType`
  `getSplitType()`
  Gets the split type.
  `OfPieType`
  `getType()`
  Gets the type.
  `boolean`
  `hasVaryColors()`
  Checks for vary colors.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setGapWidth​(int gapWidth)`
  Sets the gap width.
  `void`
  `setSecondPieSize​(int secondPieSize)`
  Sets the second pie size.
  `void`
  `setSeriesLines​(SeriesLines seriesLines)`
  Sets the series lines.
  `void`
  `setSplitPosition​(double splitPosition)`
  Sets the split position.
  `void`
  `setSplitType​(SplitType splitType)`
  Sets the split type.
  `void`
  `setType​(OfPieType type)`
  Sets the type.
  `void`
  `setVaryColors​(boolean varyColors)`
  Sets the vary colors.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OfPieChart

    public OfPieChart()
    Instantiates a new of pie chart.

- ## Method Details

  - ### clone

    public OfPieChart clone()
    Specified by:
      `clone` in class `Chart`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getCustomSplit

    public List<SecondPiePoint> getCustomSplit()
    Gets the custom split.
    Returns:
      the custom split

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getGapWidth

    public int getGapWidth()
    Gets the gap width.
    Returns:
      the gap width

  - ### setGapWidth

    public void setGapWidth​(int gapWidth)
    Sets the gap width.
    Parameters:
      `gapWidth` - the new gap width

  - ### getType

    public OfPieType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(OfPieType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getSecondPieSize

    public int getSecondPieSize()
    Gets the second pie size.
    Returns:
      the second pie size

  - ### setSecondPieSize

    public void setSecondPieSize​(int secondPieSize)
    Sets the second pie size.
    Parameters:
      `secondPieSize` - the new second pie size

  - ### getSeries

    public List<PieChartSerie> getSeries()
    Gets the series.
    Returns:
      the series

  - ### getSeriesLines

    public SeriesLines getSeriesLines()
    Gets the series lines.
    Returns:
      the series lines

  - ### setSeriesLines

    public void setSeriesLines​(SeriesLines seriesLines)
    Sets the series lines.
    Parameters:
      `seriesLines` - the new series lines

  - ### getSplitPosition

    public double getSplitPosition()
    Gets the split position.
    Returns:
      the split position

  - ### setSplitPosition

    public void setSplitPosition​(double splitPosition)
    Sets the split position.
    Parameters:
      `splitPosition` - the new split position

  - ### getSplitType

    public SplitType getSplitType()
    Gets the split type.
    Returns:
      the split type

  - ### setSplitType

    public void setSplitType​(SplitType splitType)
    Sets the split type.
    Parameters:
      `splitType` - the new split type

  - ### hasVaryColors

    public boolean hasVaryColors()
    Checks for vary colors.
    Returns:
      true, if successful

  - ### setVaryColors

    public void setVaryColors​(boolean varyColors)
    Sets the vary colors.
    Parameters:
      `varyColors` - the new vary colors